Create non-GMS Android enrollment token
Required Permission: mdm.aosp.enrollmentToken.create
Create a non-GMS Android enrollment token for device onboarding
Request
authorization
Authorization: Bearer <token>
application/json
{
"displayName": "string",
"tags": [
"string"
],
"managementMode": "DEVICE_OWNER",
"sendEmail": true,
"language": "es",
"emailText": "string",
"perpetual": true,
"aosPolicyAssignments": [
{
"aosPolicyId": "string",
"priority": 0
}
],
"dpcBuildTag": "string",
"mdmUserId": "string",
"duration": 0,
"pushNotificationProvider": "string",
"segmentId": 0
}
Responses
application/json
{
"status": true,
"data": {
"id": "string",
"organizationId": "string",
"aosEnterpriseId": "string",
"segmentId": 0,
"mdmUserId": "string",
"mdmUser": {
"id": "string",
"email": "string"
},
"type": "aosp",
"subType": "enrollment",
"status": "PENDING",
"state": "PENDING",
"summary": {
"managementMode": "DEVICE_OWNER",
"expirationTimestamp": "string"
},
"managementMode": "DEVICE_OWNER",
"perpetual": true,
"aosDeviceId": "string",
"aosPolicyAssignments": [
{
"aosPolicyId": "string",
"aosPolicy": {
"id": "string",
"name": "string",
"version": "string"
},
"priority": 0
}
],
"displayName": "string",
"tags": [
"string"
],
"dpcBuildTag": "string",
"pushNotificationProvider": "string",
"config": {
"oneTimeToken": "string",
"enrollmentHost": "string",
"qrCode": {}
},
"updatedAt": "string",
"createdAt": "string"
}
}
application/json
{
"status": false,
"error": {
"code": 5017,
"message": "Limit Exceeded"
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}